/*-------------------------------------------------------------------------+
| Copyright 2023 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.ext.quality.storage;

import static org.eclipse.core.resources.ResourcesPlugin.getWorkspace;

import java.io.File;

import org.eclipse.core.resources.IWorkspaceRoot;

// TODO (#4333) Exclude the constants to the corresponding packages. The suggested
// resolution is to distribute the information to other classes.
/**
 * Manages the directory of the CSV files.
 *
 * @author groh
 */
public class ModelQualityStorageManager {

	// TODO(#4333): Move to org.fortiss.af3.project (e.g., create sister class of AF3Project (e.g.,
	// AF3Metrics), and configure the IModelQualityService from there with the directory name, etc.)
	/** The name of the general quality plugin directory. */
	public static final String AF3_QUALITY_DIRECTORY_NAME = "AF3-Model-Quality-Directory";

	// TODO(#4333): Remove! The single source of truth for this is
	// org.fortiss.af3.project.utils.FileUtils
	/** The name of the general project directory. */
	public static final String AF3_PROJECT_DIRECTORY_NAME = "AF3-Project-Directory";

	// TODO(#4333): Remove (unneeded magic)
	/** The current workspace root. */
	public static final IWorkspaceRoot WORKSPACE_ROOT = getWorkspace().getRoot();

	// TODO(#4333): Remove, see suggested AF3Metrics class above
	/** {@link File} representing the directory where all data is saved. */
	public static final File MODEL_QUALITY_PROJECT_DIR =
			new File(WORKSPACE_ROOT.getLocation() + File.separator + AF3_QUALITY_DIRECTORY_NAME);

	// TODO(#4333): Remove, see suggested AF3Metrics class above
	/** {@link File} representing the directory where all data is saved. */
	public static final File MODEL_PROJECT_DIR =
			new File(WORKSPACE_ROOT.getLocation() + File.separator + AF3_PROJECT_DIRECTORY_NAME);
}
